//
// Created by eduardo on 8/11/19.
//

#ifndef COLAS_FILAS_COLA_H
#define COLAS_FILAS_COLA_H


class Cola {
private:
    typedef struct node{
        int data;
        node* next;
    }* nodePtr;

    nodePtr front;
    nodePtr current;
    nodePtr temp;
    nodePtr back;
public:
    Cola();
    void insert(int info);
    void remove();
    nodePtr take();
	virtual ~Cola();

	const node *getFront() const;

	void setFront(const node *front);

	const node *getCurrent() const;

	void setCurrent(const node *current);

	const node *getTemp() const;

	void setTemp(const node *temp);

	const node *getBack() const;

	void setBack(const node *back);
};


#endif //COLAS_FILAS_COLA_H
